Retrieve an AI Agent in a Project
get
/ic/api/integration/v1/projects/{projectId}/ai/agents/{id}
Fetches details of a specific AI Agent.
Request
Path Parameters
-
id(required): string
AI Agent identifier
-
projectId(required): string
Project identifier
Query Parameters
-
integrationInstance(required): string
This is the name of the service instance. You can get this value from the About page where it is specified in the Service instance field.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json;charset=utf-8, application/vnd.oracle.model+json;type=singular
200 Response
Successful operation
Nested Schema : AIAgentListRs-allOf[2]
Type:
Show Source
object-
code: string
AI Agent code
-
created: string
(date-time)
Created
-
createdBy: string
Created By
-
description: string
AI Agent description
-
lastUpdated: string
(date-time)
Last Updated
-
lastUpdatedBy: string
Last Updated By
-
name: string
AI Agent name
-
projectId: string
Project id which agent is part of
-
status: string
AI Agent Status
-
version: string
AI Agent version
Nested Schema : type
Type:
Show Source
object-
dependencies: object
AIAgentResourceDependencyRs
-
description: string
Description
-
endpointURI: string
Endpoint URI used to invoke agent
-
guidelines: string
AI Guidelines
-
role: string
Agent role
404 Response
AI Agent not found
500 Response
Server error
Examples
The following example shows how to retrieve a specific AI Agent by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL. For more information about endpoint URL structure, see Send Requests.
Example: Retrieve AI Agent ORDER_AGENT in project TEST_PROJECT
This command retrieves the specified AI Agent. The id is in the form: code%7Cversion.
The %7C is the encoded | (vertical line).
curl -X GET -H 'Authorization: Bearer access_token' https://design.integration.region.ocp.oraclecloud.com/ic/api/integration/v1/projects/TEST_PROJECT/ai/agents/ORDER_AGENT%7C01.00.0000?integrationInstance=service-instance